Are you tired of trying to use a repo/source to add the gba bios? The majority of the repos out there that have the gba bios don’t work and you will continue to see the dreaded “Sorry, but ipSP requires a Gameboy Advance” message. For those of you still continue to see this message, today is the last day for that! Thanks to user Steven over at the Lonman06 forums for pointing this out and the guys at iROM for this repo.

The repo I am going to list below installs the gpSPhone with the bios, so there is no need for you to manually add it and worry that it is a non-working bios.

Before you add this repo and install the gpSPhone, I just want to remind you of a few things.

1. Make sure that you uninstall any previous version of gpSPhone before installing this version.

2. This repo is for 1.1.3 and 1.1.4 only.

3. Downloading ROMs that you don’t own is illegal, please read my disclaimer at the top of the page.

4. If you have any questions or comments head over to the forums and post them there. You must register before you can see any posts.

Without further ado, the repo to add the gpSPhone with the gba bios is: http://iromrepo.com/repo/delta/repobeta.xml

Once you add it and your sources have refreshed, go back and look for “iRoms” in your catergory list.

Now install the “gpSPhone w/ bios”.

You are now done, you should have a working gba bios and gpSPhone ready to play GBA ROMs!

Advertisements